import * as React from 'react';
import { RouteComponentProps } from 'react-router-dom';
import { RollbackOutlined } from '@ant-design/icons';
import ProjectForm from '../../components/project';
import { Button, Spin, message } from 'antd';
import { useInsertProject } from '../../services/project';

const projectDetail: React.FC<RouteComponentProps> = ({ history }) => {
  const [insertState, requestInsert] = useInsertProject();

  const handleSubmit = (values: any) => {
    requestInsert(values)
      .then(() => {
        message.success('新增项目成功', () => {
          history.goBack();
        });
      })
      .catch((error) => {
        message.error(error.message);
      });
  };
  return (
    <div className='project-wrappaer'>
      <Button
        onClick={() => {
          history.goBack();
        }}
        icon={<RollbackOutlined />}>
        返回
      </Button>
      <Spin spinning={insertState.loading}>
        <ProjectForm onSubmit={handleSubmit}></ProjectForm>
      </Spin>
    </div>
  );
};
export default projectDetail;
