import { Redirect } from 'react-router-dom';
import login from '../pages/login';
import registered from '../pages/registered';
import userQuery from '../pages/register-query';
import forget from '../pages/forget';
import Layout from '../layout';
import Project from '../pages/project';
import projectUpdate from '../pages/project-update';
import projectAdd from '../pages/project-add';
import Accounts from '../pages/accounts';
import setup from '../pages/setup';
import dust from '../pages/dust';
import headMast from '../pages/head-mast'
import videos from '../pages/video';
import accessController from '../pages/accessControl';
import NotFound from '../pages/404';

export const routesConfig = [
	{
		path: '/login',
		component: login,
		title: '企业管理平台',
	},
	{
		path: '/registered',
		component: registered,
		title: '注册',
	},
	{
		path: '/forget',
		component: forget,
		title: '找回密码',
	},
	{
		path: '/userQuery',
		component: userQuery,
		title: '注册查询',
	},
	{
		path: '/',
		component: Layout,
		title: '企业管理平台',
		routes: [
			{
				path: '/projects',
				component: Project,
				title: '项目管理',
			},
			{
				path: '/project/:id',
				component: projectUpdate,
				title: '项目详情',
			},
			{
				path: '/project',
				component: projectAdd,
				title: '新增项目',
			},
			{
				path: '/accounts',
				component: Accounts,
				title: '账号管理',
			},
			{
				path: '/setup',
				component: setup,
				title: '个人中心',
			},
			{
				path: '/dust',
				component: dust,
				title: '扬尘设备',
			},
      {
				path: '/head-mast',
				component: headMast,
				title: '塔机设备',
			},
			{
				path: '/videos',
				component: videos,
				title: '视频设备',
			},
			{
				path: '/accessController',
				component: accessController,
				title: '门禁设备',
			},
			{
				path: '*',
				redirect: () => <Redirect from='admin' to='/projects'></Redirect>,
			},
		],
	},
];
