import * as React from 'react';
import { ConfigProvider } from 'antd';
import zhCN from 'antd/lib/locale/zh_CN';
import { Route, BrowserRouter as Router, Switch } from 'react-router-dom';
import { routesConfig } from './config';
export default () => {
	return (
		<ConfigProvider locale={zhCN}>
			<Router>
				<Switch>
					{routesConfig.map((route) => {
						if (route.routes) {
							return (
								<Route
									key={route.path}
									path={route.path}
									render={(props) => {
										return (
											<route.component
												{...props}
												routes={route.routes}></route.component>
										);
									}}></Route>
							);
						}
						return (
							<Route
								key={route.path}
								path={route.path}
								component={route.component}></Route>
						);
					})}
				</Switch>
			</Router>
		</ConfigProvider>
	);
};
