import * as React from 'react';
import Request from '../utils/request';
export const useAcessControllerList = () => {
	const [state, setState] = React.useState({
		loading: false,
		dataSouce: [],
		totol: 0,
		page: 1,
	});

	const request = (params: {
		page: number;
		filter: string;
		project_id: number;
		state: number;
	}) => {
		setState((preState) => ({ ...preState, loading: true }));
		return Request.sendRequest({
			url: '/v1/device/attendance_list',
			params: params,
		})
			.then((data: any) => {
				setState((preState) => ({
					...preState,
					loading: false,
					dataSouce: data.list,
					totol: data.total,
					page: data.page,
				}));
			})
			.finally(() => {
				setState((preState) => ({ ...preState, loading: false }));
			});
	};
	return { state, request } as const;
};
