import * as React from 'react';
import Request from '../utils/request';
export const DustStatus = {
	0: '待确认',
	1: '已确认',
	2: '未通过',
};
export const DevicestateKeys = {
	offLine: 0,
	onLine: 1,
};
export const DustState = {
	[DevicestateKeys.offLine]: '离线',
	[DevicestateKeys.onLine]: '在线',
};
export type DustRecordProps = {
	project_name: string;
	type_name: string;
	name: string;
	provider_name: string;
	sn: string;
	status: keyof typeof DustStatus;
	state: keyof typeof DustState;
	id: number;
};
/**
 * @description 获取扬尘设备列表
 */
export const useHeadMastList = () => {
	const [state, setState] = React.useState({
		loading: false,
    dataSource: [],
		total: 0,
		page: 1,
	});

	const request = (params: {
		page: number;
		filter: string;
		project_id: number;
		state: number;
	}) => {
		setState((preState) => ({ ...preState, loading: true }));
		return Request.sendRequest({
			url: '/v1/device/tower_list',
			params: params,
		})
			.then((data: any) => {
				setState((preState) => ({
					...preState,
					loading: false,
          dataSource: data.list,
					total: data.total,
					page: data.page,
				}));
			})
			.finally(() => {
				setState((preState) => ({ ...preState, loading: false }));
			});
	};
	return [state, request] as const;
};
