import * as React from 'react';
import Request from '../utils/request';

/**
 * @description 经纬度转地理位置
 * @param options
 */
export const useLocationRegeo = (options = { auto: true }) => {
  const request = (params: { key: string; location: string }) => {
    return new Promise((resolve, reject) => {
      Request.sendRequest({
        url: 'https://restapi.amap.com/v3/geocode/regeo',
        params,
      })
        .then((data: any) => {
          resolve(data);
        })
        .catch((error) => {
          reject(error);
        });
    });
  };

  return request;
};
