import * as React from 'react';
import Resuest from '../utils/request';

export const VideoStatus = {
  0: '待确认',
  1: '已确认',
  2: '未通过',
};
export const videoStateKeys = {
  offLine: 0,
  onLine: 1,
};
export const VideoState = {
  [videoStateKeys.offLine]: '离线',
  [videoStateKeys.onLine]: '在线',
};
export const chanleState = {
  0: '离线',
  1: '在线',
};

/**
 * @description 获取视频设备列表
 */
export const useVideoList = () => {
  const [state, setState] = React.useState({
    loading: false,
    dataSource: [],
    total: 0,
    page: 1,
  });
  const request = (params: { page: number; filter: string }) => {
    setState((preState) => ({ ...preState, loading: true }));
    return Resuest.sendRequest({
      url: '/v1/device/vedio_list',
      params,
    })
      .then((data: any) => {
        setState((preState) => ({
          ...preState,
          ...data,
          loading: false,
          dataSource: data.list,
        }));
      })
      .catch((error) => {
        setState((preState) => ({ ...preState, loading: false }));
      });
  };

  return [state, request] as const;
};
/**
 * @description 获取视频设备列表
 */
export const useChanleList = () => {
  const [state, setState] = React.useState({
    loading: false,
    dataSource: [],
    total: 0,
    page: 1,
  });
  const request = (params: { sn: string; page: number }) => {
    setState((preState) => ({ ...preState, loading: true }));
    return Resuest.sendRequest({
      url: '/v1/device/vedio_channel_list',
      params,
    })
      .then((data: any) => {
        setState((preState) => ({
          ...preState,
          loading: false,
          dataSource: data.list,
          total: data.total,
          page: data.page,
        }));
      })
      .catch((error) => {
        setState((preState) => ({ ...preState, loading: false }));
      });
  };

  return [state, request] as const;
};
